<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package nuovo
 */

namespace JM_Web_Development\Nuovo;

?>
<!doctype html>
<html <?php language_attributes(); ?> class="no-js">
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1, minimum-scale=1">
	<link rel="profile" href="http://gmpg.org/xfn/11">

	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<?php wp_body_open(); ?>
<div id="page" class="site">
	<a class="skip-link screen-reader-text" href="#primary"><?php esc_html_e( 'Skip to content', 'nuovo' ); ?></a>

	<header id="masthead" class="site-header">
		<?php get_template_part( 'template-parts/header/top', 'navigation' ); ?>

		<div class="wrap">

			<div class="header-main">

				<?php get_template_part( 'template-parts/header/custom_header' ); ?>

				<?php get_template_part( 'template-parts/header/branding' ); ?>

			</div>

			<?php get_template_part( 'template-parts/header/social' ); ?>

		</div>

		<?php get_template_part( 'template-parts/header/navigation' ); ?>
	</header><!-- #masthead -->
