<?php
/**
 * Template part for displaying the details for a single post.
 *
 * @package nuovo
 */

namespace JM_Web_Development\Nuovo;

// Get the number of comments.
$num_comments = get_comments_number( get_the_ID() );
if ( 0 === $num_comments ) {
	$comments_text = esc_html__( '0 Comments', 'nuovo' );
} elseif ( 1 === $num_comments ) {
	$comments_text = esc_html__( '1 Comment', 'nuovo' );
} else {
	$comments_text = $num_comments . esc_html__( ' Comments', 'nuovo' );
}
if ( false === comments_open() ) {
	$comments_text = esc_html__( 'Comments Off', 'nuovo' );
}

// Get the tags.
$tags         = get_the_tags();
$tags_section = '';
if ( $tags ) {
	foreach ( $tags as $a_tag ) {
		$tags_section .= $a_tag->name . '<br />';
	}
}

?>

<aside class="post-details">
	<div class="row"><p><?php the_date( get_option( 'date_format' ) ); ?></h5></div>
	<div class="row"><p><?php echo esc_html__( 'Written By:', 'nuovo' ) . ' ' . get_the_author_link(); ?></h5></div>
	<div class="row"><p><?php echo wp_kses_post( $comments_text ); ?></h5></div>
	<div class="row"><p><?php echo wp_kses_post( get_the_category_list( ', ' ) ); ?></h5></div>
	<div class="row"><p><?php the_date( get_option( 'date_format' ) ); ?></h5></div>
</aside>
